StepCondition< array_type > Class Template Referenceabstract
Finite-differences framework

condition to be applied at every time step More...

`#include <ql/methods/finitedifferences/stepcondition.hpp>`

Inheritance diagram for StepCondition< array_type >:
[legend]

## Public Member Functions

virtual void | applyTo (array_type &a, Time t) const =0

## Detailed Description

### template<class array_type>
class QuantLib::StepCondition< array_type >

condition to be applied at every time step